在 Ubuntu Server 中安装指定版本的 MySQL Server

出于某些特殊的原因(如和 xtrabackup 版本匹配),你可能需要安装指定版本的 MySQL Server,并禁止它自动升级。

1. 下载 MySQL Server 安装包

https://downloads.mysql.com/archives/community/
在这里选择你要下载的 MySQL 版本
Operating System 选择 Ubuntu Linux
下方的文件列表中下载 DEB Bundle 的版本
然后将下载的文件上传至服务器中。

2. 安装 MySQL Server

  1. 安装必要依赖
    sudo apt install libmecab2
  2. 解压 MySQL Server 安装包 (根据实际情况修改文件名)
    tar -xvf mysql-server_8.0.28-1ubuntu20.04_amd64.deb-bundle.tar
  3. 使用 dpkg -i 命令依次安装以下软件包
    mysql-common
    mysql-community-client-plugins
    mysql-community-client-core
    mysql-community-client
    mysql-client
    mysql-community-server-core
    mysql-community-server
    mysql-server
    libmysqlclient21

3. 设置 APT 不要自动升级 MySQL Server

apt-mark hold mysql-common mysql-client mysql-server libmysqlclient21

发表评论

您的电子邮箱地址不会被公开。